Subject: cut -c --output-delimiter stops inserting delimiters : bug?

From: Konstantin Weber <[email-masked]>
Date: Fri, 17 May 2013 15:33:12 +0200

Hello,

today I received a large text file with fixed-length data fields to import them into our databases.
I used the mighty cut but had to discover that it stops inserting output-delimiters when there are a lot of ranges.

My prompt was:
cut -b30-34,37-41,53-82,83-112,113-142,143-148,153-182,233-262,263-292,293-322,323-327,233-352 --output-delimiter=";" GER0506.dat > GER0506_true.csv

The output only has  the first 7 semicolons of the expected eleven.
I fixed it for my case by running cut a second time (
cut -b1-172,174-202,204-232,234-238,244-263 --output-delimiter=";" GER0506_true.csv > GER0506.csv
) but decided to report this behaviour because it seems undesired. Either I get output-delmiters (all of them) or not.

Is this a bug?

> cut --version
cut (GNU coreutils) 8.14
Copyright © 2011 Free Software Foundation, Inc.